import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'vote_poll_params.g.dart';

@JsonSerializable()
class VotePollParams extends ApiParams {
  /// Indizes der gewählten Optionen; leer = eigene Stimme zurückziehen.
  List<int> optionIds;

  VotePollParams({required this.optionIds});
  factory VotePollParams.fromJson(Map<String, dynamic> json) =>
      _$VotePollParamsFromJson(json);
  Map<String, dynamic> toJson() => _$VotePollParamsToJson(this);
}
